2018-03-17 22:38 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000156FSSCPgraphicspublic2005-03-23 05:50
Assigned Totaylor 
Product Version 
Target VersionFixed in Version 
Summary0000156: Animated Laser bitmaps (once again)
DescriptionWell, it doesn't crash anymore (see previous bug report) but it still doesn't work properly.

1) The shot will NOT be animated (it uses the first image of the ANI during the whole 'lifetime')

2) It seems to be unaffected by "laser head radius" and "laser tail radius" and "laser length"
TagsNo tags attached.
Attached Files




Bobboau (developer)

put this into a mod pack, and post it here


Lightspeed (reporter)

just put any FS2 ANI name (for example "shieldhit01a") in the @Laser Bitmap: field of your weapons table.


Lightspeed (reporter)

*bumps* someone gonna fix this along with the animated beam texture bug?

They might be related.


taylor (administrator)

The frames just weren't updated in a way that allowed it to be "played" properly. There were two ways to calculate the frame in the code but the one that worked properly was commented out.

As far as the radius and length options go I didn't have a problem with them. Changing any or all of them seemed to work as expected. Does this still happen? That part may have been fixed already.


Lightspeed (reporter)

I shall test with a new build :-)


taylor (administrator)


Is this fixed Lightspeed? I haven't been able to replicate it but I need you to say yes or no before I can be a happy man. :)


taylor (administrator)

I've found no situation where this is still a problem so I'll need something to test with. Art and tbl entries or just the tbl entries that are know to cause the problem.


kasperl (developer)

Reminder sent to Lightspeed

Can you take a look at this bug? Perhaps you can send Taylor the art.


taylor (administrator)

I'm just going to resolve this since at least half of the reported problem is fixed. I can't recreate the radius/length problem anymore so if it is still an issue when you get a chance to test Lightspeed then please reopen this.


-Issue History
Date Modified Username Field Change
2004-03-27 11:43 Lightspeed New Issue
2004-03-28 13:13 Bobboau Note Added: 0000600
2004-03-28 15:21 Lightspeed Note Added: 0000604
2004-04-14 11:57 Lightspeed Note Added: 0000774
2004-04-15 23:46 Bobboau Status new => assigned
2004-04-15 23:46 Bobboau Assigned To => Bobboau
2004-11-02 02:17 taylor Note Added: 0001322
2004-11-02 02:33 taylor Assigned To Bobboau => taylor
2004-11-04 10:58 Lightspeed Note Added: 0001334
2004-12-11 12:11 taylor Note Added: 0001417
2005-03-13 19:45 taylor Note Added: 0001868
2005-03-13 19:45 taylor Status assigned => feedback
2005-03-20 04:46 kasperl Note Added: 0001998
2005-03-23 05:50 taylor Status feedback => resolved
2005-03-23 05:50 taylor Resolution open => fixed
2005-03-23 05:50 taylor Note Added: 0002027
+Issue History